Package relaxngcc.grammar

# Class NGCCDefineParam

java.lang.Object
relaxngcc.grammar.NGCCDefineParam

public class NGCCDefineParam extends Object
NGCC Parameter for scope definitions.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`access`
Access modifiers.
`final String`
`className`
Class name to generate.
`final String`
`params`
Additional parameters to this state
`final CDType`
`returnType`
Return-type from this state.
`final CDExpression`
`returnValue`
Return-value from this state.

## Constructor Summary

Constructors
Constructor
Description
`NGCCDefineParam(ParserRuntime rt, String _className, String _access, String _returnType, String _returnValue, String _params)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### className

public final String className
Class name to generate.

### access

public final String access
Access modifiers.

### returnType

public final CDType returnType
Return-type from this state.

### returnValue

public final CDExpression returnValue
Return-value from this state.

### params

public final String params
Additional parameters to this state

## Constructor Details

### NGCCDefineParam

public NGCCDefineParam(ParserRuntime rt, String _className, String _access, String _returnType, String _returnValue, String _params)